### gamemodes/hardpoint/init_site/init_site and recursive

# get player coordinates
scoreboard players reset * coordX
scoreboard players reset * coordY
scoreboard players reset * coordZ
execute as @a[team=!,tag=!dead] run function cod:gamemodes/coord/player_coord

# check players on site
execute store success score .redOn hardPoint if entity @p[team=redTeam,predicate=cod:gamemodes/is_on_site,tag=!dead]
execute store success score .blueOn hardPoint if entity @p[team=blueTeam,predicate=cod:gamemodes/is_on_site,tag=!dead]

# red team hold
execute if score .redOn hardPoint matches 1 if score .blueOn hardPoint matches 0 run function cod:gamemodes/hardpoint/site_red/red_hold

# blue team hold
execute if score .blueOn hardPoint matches 1 if score .redOn hardPoint matches 0 run function cod:gamemodes/hardpoint/site_blue/blue_hold

# both teams contested
execute if score .redOn hardPoint matches 1 if score .blueOn hardPoint matches 1 run function cod:gamemodes/hardpoint/site_neither/contested_hold

# neutral site
execute if score .redOn hardPoint matches 0 if score .blueOn hardPoint matches 0 unless score .lastTeamHold hardPoint matches 0 run function cod:gamemodes/hardpoint/site_neither/neutral_color

# clear actionbar offsite
title @a[team=!,predicate=!cod:gamemodes/is_on_site,tag=!dead] actionbar [""]

# timer increment
function cod:gamemodes/hardpoint/timer_increment_hp

# schedule itself
execute if score .timer hardPoint matches 1.. run schedule function cod:gamemodes/hardpoint/check_site 1s

# switch sites
execute if score .timer hardPoint matches 0 run function cod:gamemodes/hardpoint/init_site/init_site