### gamemodes/search_and_destroy/preplant/planting

# modify bomb site
data merge entity @e[type=area_effect_cloud,tag=sndSite,tag=plantee,limit=1] {CustomName:'{"text":"Bomb Planted","color":"red","bold":true}'}
team join redTeam @e[type=shulker,tag=sndSite,sort=nearest,limit=2]
execute at @s run summon marker ~ ~ ~ {UUID:[I;8,1,1,0],Tags:["sndSite"]}
execute at @s run setblock ~ ~ ~ tripwire_hook

# remove other site
kill @e[type=!player,tag=sndSite,sort=furthest,limit=3]

# notify players
tellraw @a[team=redTeam] ["\n",{"text":"Your Team ","color":"red"},"has planted the ",{"text":"bomb \n","color":"yellow"}]
tellraw @a[team=blueTeam] ["\n",{"text":"Enemy Team ","color":"red"},"has planted the ",{"text":"bomb \n","color":"yellow"}]

# remove bomb and clear bomber effects
clear @s tripwire_hook{sndBomb:1b}
attribute @s generic.movement_speed modifier remove 8-1-0-0-1
effect clear @s jump_boost

# remove tags
tag @s remove planter
tag @e[type=area_effect_cloud,tag=sndSite,tag=plantee] remove plantee
tag @s remove bomber

# update site status
scoreboard players set .siteStatus snd 1

# start countdown
bossbar add gametime {"text":"0:45"}
bossbar set gametime name {"text":"0:45"}
bossbar set gametime color red
bossbar set gametime max 45
execute store result bossbar gametime value run scoreboard players set .timer bookKeeping 45
scoreboard players set .minOnes bookKeeping 0
scoreboard players set .secTens bookKeeping 4
scoreboard players set .secOnes bookKeeping 5
schedule function cod:gamemodes/timer/run_timer 1s