### guns/start_shoot

# get shoot/class stats
execute if score .shootStatsLoaded gunStats matches 0 run function cod:guns/stats/get_shoot
execute if score .classStatsLoaded gunStats matches 0 run function cod:guns/stats/get_class

# tag stats not saved
scoreboard players set .statsNotSaved gunStats 1

# clear grim reaper/death machine (before c4/claymore can change class)
execute if score .class gunStats matches 43..44 if score .ammoClip gunStats matches ..1 if score .ammoReserve gunStats matches ..0 run item replace entity @s weapon.mainhand with air

# normal raycast
execute if score .class gunStats matches 1..44 unless score .class gunStats matches 20..23 unless score .class gunStats matches 37..43 at @s anchored eyes positioned ^ ^ ^ run function cod:guns/shoot/raycast/start_raycast

# shotgun raycast
execute if score .class gunStats matches 20..23 at @s anchored eyes positioned ^ ^ ^ run function cod:guns/shoot/raycast/start_raycast_sg

# start launcher raycast
execute if score .class gunStats matches 37..43 unless score .class gunStats matches 40..42 at @s anchored eyes positioned ^ ^ ^ run function cod:guns/shoot/raycast/rl/start_raycast_rl

# start arc raycast
execute if score .class gunStats matches 40..42 at @s anchored eyes positioned ^ ^ ^ run function cod:guns/shoot/raycast/arc/start_raycast_arc

# reduce recoil for steady aim
execute if score @s saP matches 1 run scoreboard players remove .recoil gunStats 1

# recoil
execute if score .recoil gunStats matches 1.. run function cod:guns/shoot/recoil/start_recoil

# remove ammo
scoreboard players remove .ammoClip gunStats 1

# set cooldown, autofire, and autodelay
scoreboard players operation @s cooldown = .cooldown gunStats
scoreboard players operation @s autoFire = .autoFire gunStats
scoreboard players operation @s autoDelay = .autoDelay gunStats

# start auto reload if player has no ammo
execute if score .ammoClip gunStats matches ..0 if score .ammoReserve gunStats matches 1.. run scoreboard players set @s autoReload 10